78
ответов

Как установить Python 3.5 для Ubuntu 18.04? [dубликат]

Для некоторых тестов токсичности мне нужен интерпретатор Python 3.5. Как установить его на Ubuntu 18.04?
вопрос задан: 11 October 2017 13:48
65
ответов

Система обновления Python 3.6.1 (IDLE, консоль ..) [dубликат]

Я установил python3.6.1 Я хочу сделать его по умолчанию для системы при вызове python. Я также хочу, чтобы IDLE открывался для этой версии. После установки python3.6.1: Требование уже до -...
вопрос задан: 23 March 2017 19:31
55
ответов

Запуск Pip3 ImportError: невозможно импортировать имя 'main'

Я хочу установить Scipy (уже установлен Numpy). У меня есть Python 3.5.1-3, установленный с ОС и IDLE3 (3.5.2). Когда я попал в терминал sudo pip3 install scipy, он распечатывает Traceback (большинство ...
вопрос задан: 17 April 2018 14:11
46
ответов

Переключение между двумя версиями gcc [duplicate]

По умолчанию моя система использует gcc 5.4.0 в ubuntu 16.04 для запуска конкретной программы. Мне нужно переключиться на gcc 4.8. Мой вопрос заключается в следующем: как я могу переключиться на gcc 4.8 перед запуском программы и ...
вопрос задан: 30 May 2018 11:59
45
ответов

Мой vim не поддерживает python3, как я могу исправить этот [dубликат]

Поэтому я хочу, чтобы jedi-vim автозаполнялся до python3, я добавил autocmd FileType python set omnifunc = python3complete # Complete Для моего vimrc. Теперь, если я попытаюсь и автозаполняю что-то в vim, я получаю Error: ...
вопрос задан: 21 January 2017 15:10
44
ответа

Как установить pydot и graphviz?

Im работает с кодом, который требует pydot и graphviz. Я использую python 3.5 и ubuntu 16.04 LTS 64 бит. Файл «/usr/local/lib/python3.5/dist-packages/keras/utils/vis_utils.py», строка 17, в _check_pydot ...
вопрос задан: 20 May 2017 09:53
30
ответов

Python3 pip3 устанавливается на Ubuntu

Я установил python3 и pip3 успешно на свой Ubuntu16.04, но установка pip3 нарушена. Как я могу исправить эту проблему? Информация об ошибке для установки pip3 выглядит следующим образом: # pip3 install xlwt Traceback ...
вопрос задан: 26 October 2017 18:40
30
ответов

Сценарий Python не будет запускаться без предшествующего файла сценария в командной строке с помощью «python3». Ошибка: «команда не найдена» (18.04) [dубликат]

Когда я пытаюсь запустить сценарий Python3 из CLI, я получаю команду ошибки, которая не найдена Насколько я вижу, сценарий и среда установлены: $, которые python3 / usr / bin / python3 Разрешения файла сценария: ...
вопрос задан: 10 February 2011 20:32
27
ответов

Установка Kivy ubuntu 16.04 64-разрядная

os: linux (ubuntu 16.04 LTS, 64-бит) python_version: 3.6.3 Использование virtualenv. Я попытался установить много версий kivy со многими различными версиями cython, но всегда получал ...
вопрос задан: 16 January 2018 12:46
23
ответа

Обновление Python с 3.5 до 3.6 через терминал

Использование Ubuntu 17. После обновления Python от 3.5 до 3.6 через терминал согласно https://askubuntu.com/a/865569/695385, все еще показывающий, что версия 3.5.3 ~ $ python3 --version Python 3.5.3 Как это ...
вопрос задан: 4 January 2018 20:52
22
ответа

Проблема при установке пипса в Ubuntu 16.04

На самом деле, я хотел установить pip, потому что мне нужно было установить pycurl, который был необходим для использования Wfuzz. Основной факт заключается в том, что мне нужно установить pip. Я помнил, что я уже установил pip однажды ...
вопрос задан: 9 May 2018 15:19
20
ответов

Не удается удалить Python 3.6

Я хочу удалить свою версию 3.6, не касаясь исходной версии 3.5. Поэтому я запустил sudo apt-get, удалив python3.6, но результат был: E: Не удалось найти пакет python3.6 E: Не удалось найти ...
вопрос задан: 15 May 2018 14:52
20
ответов

установка Python3.6 (и удаление некоторых пакетов 3.5) испортила мой терминал

Я следил за инструкциями по установке Python3.6 на моем компьютере Ubuntu 16.04 и в этом процессе я также сделал некоторую попытку sudo apt-get на некоторых пакетах Python3.5 (так что я бы только сохранил ...
вопрос задан: 30 March 2018 18:40
20
ответов

pylint3 и pip3 сломаны

Я попробовал sudo apt remove --purge на разных пакетах. Я получаю то же самое, когда я переустанавливаю. Я также попытался переустановить, используя aptitude. Это не работает. Мое текущее решение - запустить pylint3 как ...
вопрос задан: 24 February 2018 16:35
20
ответов

Неисправность

Сегодня я установил последнюю версию Ubuntu Gnome и настраивал свою машину для работы, связанной с наукой о данных. Когда я попытался установить tensorflow-gpu, я столкнулся с сбоем от pip3: me @ pc: ~ / Desktop $ pip3 ...
вопрос задан: 22 January 2018 12:59
20
ответов

Переключение между python 2.x и 3.x в linux machine.And также какова функция virtualenv в этом случае?

У меня есть две базы кода build_2.x и build_3.x, которые были закодированы в python 2.x и python 3.x соответственно. Я владею Linux-машиной в этом python 2.x. Но для моей цели проекта мне нужно ...
вопрос задан: 18 January 2018 14:04
20
ответов

Поиск данных из файла file1 в file2

У меня два файла csv с той же структурой. file1.csv: 352075 | 6505286781 | 6505286781 | 165 | A | 2.6.37-3.2 | 25353gb1FAa8 172238 | 8136090512 | 8136090512 | 1 | A | 2.6.37-3.2 | 255411429E02 105767 | 1783707658 | ...
вопрос задан: 3 December 2017 12:20
20
ответов

kazam терпит неудачу с & ldquo; PyGIWarning: Gtk был импортирован без указания версии first & hellip; & rdquo;

После установки программного обеспечения для экранирования казам, он не запускается. Я использую ubuntu 17.04. Заранее спасибо. Обновление: / usr / bin / kazam: 32: PyGIWarning: Gtk импортирован без указания ...
вопрос задан: 2 December 2017 16:28
20
ответов

Как использовать Python 3 в Spyder 3?

У меня был Spyder2, работающий на Python 2.7 на Ubuntu 16.04. Я установил Spyder3 через sudo apt-get install spyder3, но Spyder3 также работает с Python 2.7. Я даже обновил spyder через pip sudo pip install ...
вопрос задан: 1 September 2017 18:25
20
ответов

CronJob Не работает 16.04 с Python3

Я добавил cronjob -e с ниже - * * * * * / usr / bin / python3 /home/user/test.py Но cronjob терпит неудачу каждый раз. Я могу протестировать скрипт, работая нормально и работая нормально. Крон ...
вопрос задан: 20 May 2017 16:43
20
ответов

Как изменить python3 с python3.5 на python3.6

У меня есть python3.6 и python3.5 на ubuntu (zesty beta 2). Я знаю, что python вызывает python2.7. Проблема в том, что когда я вызываю python3, он автоматически запускает python3.5 вместо python3.6. Здесь ...
вопрос задан: 5 April 2017 19:32
18
ответов

Открыть браузер сервера в локальном браузере

Когда я нахожусь на моем сервере и делаю там свои вещи. Как я могу открыть браузер на удаленном компьютере и отобразить его на моем локальном компьютере, я запустил рабочий стол Ubuntu на своем локальном компьютере. На сервере ...
вопрос задан: 13 February 2018 15:30
18
ответов

Как установить nltk для Python 3?

Я установил nltk на свой Ubuntu 16.0.4. Набор инструментов для естественного языка работает на Python 2.7, но не на Python 3. Как его установить для Python 3?
вопрос задан: 15 January 2018 22:07
18
ответов

как можно решить эту проблему?

$ sudo -H pip3 install django ~ = 1.11.0 Traceback (последний последний вызов): Файл «/usr/local/lib/python3.5/dist-packages/pkg_resources/__init__.py», строка 666, в _build_master ws .require (...
вопрос задан: 27 December 2017 17:37
18
ответов

как заставить приложения использовать python3.5 вместо python2.7? [закрыто]

Я изменил мою версию python с 2.7 до 3.5 и сделал v3.5 по умолчанию, все приложение, использующее python2.7, сломалось, и всякий раз, когда я пытался установить новое приложение, он пытался использовать python2.7. как ...
вопрос задан: 11 November 2017 19:24
18
ответов

.py для запуска при запуске [dубликат]

Я использую 17.04 и rc.local ушел (я не мог сделать это с rc.local в любом случае). Я просто хочу, чтобы эти две команды запускались при запуске; cd Папка python3 file.py Вот и все. Я посмотрел все похожие ответы ...
вопрос задан: 15 October 2017 20:29
18
ответов

Не удалось установить python3-venv

Я пытаюсь установить пакет python3-venv ubuntu, но у меня есть эта ошибка: sudo apt-get install python3-venv Следующие пакеты имеют неудовлетворенные зависимости: python3-venv: Depends: python3.5-venv (& ...
вопрос задан: 24 August 2017 13:58
18
ответов

Как сделать некоторые команды исполняемыми?

У меня есть некоторые команды python, которые я хочу запустить при запуске, что мне нужно делать каждый раз, когда я загружаю свою машину, вручную запускать их, меняя каталоги и выполняя их. Можно ли сделать ...
вопрос задан: 4 July 2017 20:54
18
ответов

Почему я не могу установить Pandas на 16.04?

То, что мой терминал выглядит на данный момент ... Я понятия не имею, что означает сообщение терминала, потому что я все еще новичок в Ubuntu, но я искал его и уже пробовал псевдониму Python для Python3 ...
вопрос задан: 1 June 2017 07:50
18
ответов

Python 3 не работает

Я недавно установил python 3.5 из источника, но я думаю, что я сделал что-то неправильно во время установки или компоновки. После этого у меня возникла проблема с установкой любых пакетов Ubuntu. Например, add-apt -...
вопрос задан: 12 May 2017 23:38